package com.xjrsoft.module.erpModel.caseErpCustomer.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.time.LocalDateTime;

@Data
public class AddCaseErpCustomerGatherDetailDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("客户回款外键(case_erp_customer)")
    private Long gatherId;

    @ApiModelProperty("回款金额")
    private BigDecimal amountCollect;

    @ApiModelProperty("回款日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @JsonProperty("date")
    private Timestamp refundDate;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;
}
