package com.xjrsoft.module.erpModel.caseErpCustomer.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;

@Data
public class CaseErpCusGatherDetailInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("客户回款外键(case_erp_customer)")
    private Long gatherId;

    @ApiModelProperty("回款金额")
    private BigDecimal amountCollect;

    @ApiModelProperty("回款日期")
    @JsonProperty("date")
    private Timestamp refundDate;

    @ApiModelProperty("附件")
    private String filePath;

    @ApiModelProperty("备注")
    private String remark;


}
