package com.xjrsoft.module.liteflow.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;

/**
* @title: 规则表列表列表入参
* @Author fanxp
* @Date: 2023-11-02
* @Version 1.0
*/
@Data
public class XjrLiteflowChainListVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 应用名
    */
    @ApiModelProperty("应用名")
    private String applicationName;
    /**
    * 规则名
    */
    @ApiModelProperty("规则名")
    private String chainName;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String chainDesc;
    /**
    * 规则文件
    */
    @ApiModelProperty("规则文件")
    private String elData;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

}
