package com.xjrsoft.module.material.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import com.xjrsoft.module.material.entity.MaterialTypeAssign;



/**
* @title: 材料提交任务类型
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTypeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 任务名称
    */
    @ApiModelProperty("任务名称")
    private String name;

    /**
     * 有效标志
     */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;

}
