package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.Date;



/**
* @title: 学生干部管理
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
public class UpdateBaseStudentCadreDto {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 职务id
     */
    @ApiModelProperty("职务id")
    private Long postId;
    /**
     * 学生任职机构
     */
    @ApiModelProperty("学生任职机构")
    private Long orgId;
    /**
     * 任职开始时间
     */
    @ApiModelProperty("任职开始时间")
    private String startTime;
    /**
     * 任职结束时间
     */
    @ApiModelProperty("任职结束时间")
    private String endTime;
    /**
     * 状态（1:在职 0:离职）
     */
    @ApiModelProperty("状态（1:在职 0:离职）")
    private Integer status;
    /**
     * 离职生效日期
     */
    @ApiModelProperty("离职生效日期")
    private String leaveTime;
    /**
     * 离职原因
     */
    @ApiModelProperty("离职原因")
    private String leaveReason;
    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;
}
