package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.UpdateBaseStudentCadreDto;
import com.xjrsoft.module.student.entity.BaseStudentCadre;
import com.xjrsoft.module.student.entity.BaseStudentUser;
import lombok.Data;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
* @title: 学生干部管理
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/

public interface IBaseStudentCadreService extends MPJBaseService<BaseStudentCadre> {

    /**
     * 批量新增
     *
     * @param baseStudentCadreList
     * @return
     */
    Boolean addAll(List<BaseStudentCadre> baseStudentCadreList);

    /**
     * 单个新增
     *
     * @param baseStudentCadre
     * @return
     */
    Boolean addOne(BaseStudentCadre baseStudentCadre);

    /**
     * 修改学生干部状态（离职、复职）移动端
     * @param dto
     * @return
     */
    Boolean editMobileStatus(UpdateBaseStudentCadreDto dto);


}
