package com.xjrsoft.module.erpModel.caseErpSupplier.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class UpdateCaseErpSupplierDto  implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long id;

    @ApiModelProperty("供应商编号")
    @JsonProperty("number")
    private String code;


    @ApiModelProperty("是否系统编号（0是，1否）")
    private Integer isSysNum;


    @ApiModelProperty("是否系统编号Boolean（0是，1否）")
    private Boolean isSysNumBoolean;
    @ApiModelProperty("供应商名称")
    private String name;

    @ApiModelProperty("供应商负责人")
    private String person;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("经营范围")
    private String scope;

    @ApiModelProperty("供应商类型(1原料,2成品,3半成品,4其他)")
    @JsonProperty("type")
    private String supplierType;
}
