package com.xjrsoft.module.material.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;



/**
* @title: 材料提交任务附件
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class AddMaterialTaskAppendixDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 材料提交任务(material_task)
    */
    @ApiModelProperty("材料提交任务(material_task)")
    private Long materialTaskId;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;

}
