package com.xjrsoft.module.material.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;


/**
* @title: 材料提交任务分页查询入参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class MaterialTaskPageDto extends PageInput {
    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 状态 1=未开始 2=进行中 3=结束
     */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
     * 材料提交任务类型(material_type)
     */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
}
