package com.xjrsoft.module.material.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.material.entity.MaterialType;
import lombok.Data;
import java.util.List;

/**
* @title: 材料提交任务类型
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/

public interface IMaterialTypeService extends MPJBaseService<MaterialType> {
    /**
    * 新增
    *
    * @param materialType
    * @return
    */
    Boolean add(MaterialType materialType);

    /**
    * 更新
    *
    * @param materialType
    * @return
    */
    Boolean update(MaterialType materialType);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);
}
