package com.xjrsoft.module.material.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MaterialTaskAssignListVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 材料提交任务(material_task)
     */
    @ApiModelProperty("材料提交任务(material_task)")
    private Long materialTaskId;
    /**
     * 用户(xjr_user)
     */
    @ApiModelProperty("用户(xjr_user)")
    private Long userId;
    /**
     * 用户类型 1=孝职工 2=学生
     */
    @ApiModelProperty("用户类型 1=孝职工 2=学生")
    private Integer userType;
    /**
     * 学号/工号
     */
    @ApiModelProperty("学号/工号")
    private String userNumber;
    /**
     * 状态 1=未提交 2=待审核 3=通过 4=重做
     */
    @ApiModelProperty("状态 1=未提交 2=待审核 3=通过 4=重做")
    private Integer status;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 部门
     */
    private String deptName;
    /**
     * 文件包
     */
    private String folderId;

    /**
     * 用户名字
     */
    private String name;
}
