package com.xjrsoft.module.material.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import com.xjrsoft.module.material.entity.MaterialTypeAssign;

/**
* @title: 材料提交任务类型表单出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTypeVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 任务名称
    */
    @ApiModelProperty("任务名称")
    private String name;


    /**
    * materialTypeAssign
    */
    @ApiModelProperty("materialTypeAssign子表")
    private List<MaterialTypeAssignVo> materialTypeAssignList;

}
