package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 工资发放表头
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class AddBasePersonnelLabourCapitalTitleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 工资发放id
    */
    @ApiModelProperty("工资发放id")
    private Long labourCapitalId;
    /**
    * 表头名称
    */
    @ApiModelProperty("表头名称")
    private String name;
    /**
    * 所属行
    */
    @ApiModelProperty("所属行")
    private Integer rowNumber;
    /**
    * 所属列
    */
    @ApiModelProperty("所属列")
    private Integer columnNumber;
    /**
    * 合并行数
    */
    @ApiModelProperty("合并行数")
    private Integer mergeRows;
    /**
    * 合并列数
    */
    @ApiModelProperty("合并列数")
    private Integer mergeColumns;

}
