package com.xjrsoft.module.personnel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.personnel.entity.BasePersonnelLabourCapital;
import lombok.Data;
import java.util.List;

/**
* @title: 工资发放
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/

public interface IBasePersonnelLabourCapitalService extends MPJBaseService<BasePersonnelLabourCapital> {
    /**
    * 新增
    *
    * @param basePersonnelLabourCapital
    * @return
    */
    Boolean add(BasePersonnelLabourCapital basePersonnelLabourCapital);

    /**
    * 更新
    *
    * @param basePersonnelLabourCapital
    * @return
    */
    Boolean update(BasePersonnelLabourCapital basePersonnelLabourCapital);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);
}
