package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.ListInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 学生职务设置列表查询入参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentPostListDto extends ListInput {
    /**
     * 职务级别
     */
    @ApiModelProperty("职务级别")
    private String level;
}
