package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 学生班级巡查考核-关联班级
* @Author fanxp
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
@TableName("base_student_assessment_class_relation")
@ApiModel(value = "base_student_assessment_class_relation", description = "学生班级巡查考核-关联班级")
public class BaseStudentAssessmentClassRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 班级编号id
    */
    @ApiModelProperty("班级编号id")
    private Long classId;
    /**
    * 学生班级巡查考核id
    */
    @ApiModelProperty("学生班级巡查考核id")
    private Long baseStudentAssessmentInspectionId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;


}