package com.xjrsoft.module.student.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 学生班级巡查考核-关联班级列表列表入参
* @Author fanxp
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentClassRelationListVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 班级编号id
    */
    @ApiModelProperty("班级编号id")
    private Long classId;
    /**
    * 学生班级巡查考核id
    */
    @ApiModelProperty("学生班级巡查考核id")
    private Long baseStudentAssessmentInspectionId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 班主任姓名
    */
    @ApiModelProperty("班主任姓名")
    private String teacherName;

}
